import sys

from .config import BaseConfig
from .util import term


def main(args):
    try:
        config = BaseConfig(args[0] if len(args) else '/etc/pacman-repo.yml')
        print(config)

    except Exception:
        from traceback import format_exc
        msg = "Error encountered:\n" + format_exc().strip()
        print(term().red(msg))
        sys.exit(1)


if __name__ == '__main__':
    main(sys.argv[1:])
